// Title:   DefiningSurfaceTypes.h
// Created: Thu Sep 25 15:15:52 2003
// Authors: Yong Joo Kil
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#ifndef __DEFININGSURFACETYPES_H__
#define __DEFININGSURFACETYPES_H__

enum {
	//Keep this list in sync with the GUI
	kExtremalSurfaceMahalanobis = 0,
	kExtremalSurfaceMLS,
	kExtremalSurfaceX1,
	kExtremalSurfaceX2,
	kExtremalSurfaceX3,
	kExtremalSurfaceX4,
	kExtremalSurfaceX5
};

#include "../../../../DataTypes/src/Vector3D.h"

typedef struct {
	int			neighbourhoodSize;

	float		gaussFactor;
	float		gaussFactorSquared;

	int			extremalSurfaceMethod;
	bool		useRadiusAsWeight;
	float		radiusScale;
	
	float 		mahalanobisScale;

	int			brentMaxIter;
	float 		brentTol;
	float 		brentSearchRange;

} SurfaceParams;

class KdTreeExtra;
typedef float (*EnergyFunc)(KdTreeExtra *kdtree, const SurfaceParams & sp, const Vector3D & q, const Vector3D & n);
typedef bool (*OptDirectionFunc)(KdTreeExtra *kdtree, const SurfaceParams & sp, const Vector3D & q, Vector3D * optV);

#define	kMaxNeighborLookup	1028

#endif


