// Title:   Help.h
// Created: Thu Sep 25 15:16:42 2003
// Authors: Simon Heinzle, Tim Weyrich
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#ifndef __SCANTOOLSHELP_H
#define __SCANTOOLSHELP_H

#include <qlabel.h>
#include <qstring.h>
#include "../UI/HelpWidget.h"

class HelpDialogImpl : public HelpWidget {
	
    Q_OBJECT

public:
	static HelpDialogImpl *getInstance (void);
	static void destroyInstance();

	void showHelp(const QString& string);
	void hideHelp();
private:
	// singleton pattern, private c'tor
	HelpDialogImpl (QWidget* parent = 0, const char* name = 0, WFlags flags = 0);
	void initDialog();
		
protected:	// To suppress warnings...
	virtual ~HelpDialogImpl();

};



#endif

// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
