// Title:   Metric.h
// Created: Thu Sep 25 15:16:29 2003
// Authors: Simon Heinzle, Tim Weyrich
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#ifndef __METRIC_H
#define __METRIC_H

#define THICKNESS 1 

#include "../../../../DataTypes/src/Vector3D.h"

class Metric {
	float _one_unit;	
	float _one_unit_inv;
	inline void showCubeGL(Vector3D e1, Vector3D e2);
public:
	Metric(float one_unit = 1.0f);
	void setOneUnit(float one_unit) { _one_unit = one_unit; _one_unit_inv = 1.f / one_unit; }
	float getMetric(float length_);
	float getInverseMetric(float metric_);
	void showMetricGL(Vector3D center, Vector3D length_);
};


#endif

// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
