// Title:   ScanToolsDialogImpl.cpp
// Created: Thu Sep 25 15:15:34 2003
// Authors: Simon Heinzle, Tim Weyrich
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qfiledialog.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qpushbutton.h>
#if QT_VERSION >= 0x030000
# include <qptrlist.h>
# ifndef QList
#  define QList QPtrList
# endif
# ifndef QListIterator
#  define QListIterator QPtrListIterator
# endif
#else
# include <qlist.h>
#endif
#include <qstring.h>
#include <qfile.h>
#include <qbuttongroup.h>
#include <qstringlist.h>
#include <qcolordialog.h>
#include <qslider.h>
#include <qapplication.h>

#if QT_VERSION >= 0x030000
# include <qptrvector.h>
# ifndef QVector
#  define QVector QPtrVector
# endif
# ifndef QVectorIterator
#  define QVectorIterator QPtrVectorIterator
# endif
#else
# include <qvector.h>
#endif

#include "../../../../DataTypes/src/Vector3D.h"
#include "../../../../Utilities/src/Matrix.h"
#include "../../../../Core/Scene/src/Scene.h"

#include "../UI/ScanToolsWidget.h"
#include "ScanToolsDialogImpl.h"

#include "NewOverload.h"

// ########################################
// singleton pattern, the singleton itself
// ########################################
static ScanToolsDialogImpl *instance;
	

// #####################################
//  c'tor & d'tor (private / protected)
// #####################################

ScanToolsDialogImpl::ScanToolsDialogImpl (QWidget* parent, const char* name, WFlags flags) 
		: ScanToolsWidget(parent, name, flags)
{ 
}

ScanToolsDialogImpl::~ScanToolsDialogImpl(void)
{
}

// ####################################
//  public methods
// ####################################

ScanToolsDialogImpl *ScanToolsDialogImpl::getInstance(void) {
	if (instance == 0) {
		instance = new ScanToolsDialogImpl ();
		_MCnew( (unsigned long)instance, sizeof(instance), __FILE__, __LINE__);
	}
	return instance;
}

void ScanToolsDialogImpl::destroyInstance(void) {
	if (instance) {
		instance->close();
		_MCdelete((unsigned int)instance);
		delete instance;
	}
	instance = 0;
}

void ScanToolsDialogImpl::initDialog(void) {

}



// ####################################
//  public slots
// ####################################




void ScanToolsDialogImpl::passMouseMove(QMouseEvent *me) { 

}

void ScanToolsDialogImpl::keyPressEvent(QKeyEvent *ke) {
	emit passKeyPressEvent(ke);
	ke->ignore();
}

void ScanToolsDialogImpl::keyReleaseEvent(QKeyEvent *ke) {
	emit passKeyReleaseEvent(ke);
	ke->ignore();
}

void ScanToolsDialogImpl::setQCursor(QCursor *new_cursor) {
	
}







// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
